> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Box Doc Gen templates resources

Doc Gen templates are used as input to generate documents.

## Box Doc Gen tags

A list of Box Doc Gen tags.

<Accordion title="Attributes and example">
  | Property      | Type                                                           | Required | Description                                                                                                                                                                            |
  | ------------- | -------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                      | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                       | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                                       | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Box Doc Gen template tag](#box-doc-gen-template-tag) | No       | List of tags.                                                                                                                                                                          |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "tag_content": "{{item.name}}",
        "tag_type": "text",
        "json_paths": [
          "products",
          "products.name"
        ]
      }
    ]
  }
  ```
</Accordion>

## Box Doc Gen tags processing message

A message informing the user that document tags are still being processed.

<Accordion title="Attributes and example">
  | Property  | Type     | Required | Description                                                                           |
  | --------- | -------- | -------- | ------------------------------------------------------------------------------------- |
  | `message` | `string` | Yes      | A message informing the user that document tags are still being processed. Read-only. |

  ```json Example theme={null}
  {
    "message": "Processing tags for this file."
  }
  ```
</Accordion>

## Box Doc Gen template

A Box Doc Gen template object.

<Accordion title="Attributes and example">
  | Property    | Type             | Required | Description                                  |
  | ----------- | ---------------- | -------- | -------------------------------------------- |
  | `file`      | `File reference` | No       | Enable the file to generate a document from. |
  | `file_name` | `string`         | No       | The name of the template. Can be `null`.     |

  ```json Example theme={null}
  {
    "file": {
      "type": "file",
      "id": "42037322"
    },
    "file_name": "Official contract"
  }
  ```
</Accordion>

## Box Doc Gen template tag

A Box Doc Gen template tag object.

<Accordion title="Attributes and example">
  | Property      | Type              | Required | Description                                                                                                            |
  | ------------- | ----------------- | -------- | ---------------------------------------------------------------------------------------------------------------------- |
  | `tag_content` | `string`          | Yes      | The content of the tag. Read-only.                                                                                     |
  | `tag_type`    | `enum<string>`    | Yes      | Type of the tag. Available options: `text`, `arithmetic`, `conditional`, `for-loop`, `table-loop`, `image`. Read-only. |
  | `json_paths`  | array of `string` | Yes      | List of the paths. Read-only.                                                                                          |

  ```json Example theme={null}
  {
    "tag_content": "{{item.name}}",
    "tag_type": "text",
    "json_paths": [
      "products",
      "products.name"
    ]
  }
  ```
</Accordion>

## Box Doc Gen templates

List of Box Doc Gen templates.

<Accordion title="Attributes and example">
  | Property      | Type                                                   | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                              | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                               | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                               | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [Box Doc Gen template](#box-doc-gen-template) | No       | A list of templates.                                                                                                                                                                   |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "file": {
          "type": "file",
          "id": "42037322"
        },
        "file_name": "Official contract"
      }
    ]
  }
  ```
</Accordion>
